none
Can SharePoint 2019 be installed in a 2008 R2 domain? RRS feed

  • Question

  • Hello everybody,

    we are migrating a customer from Windows Server 2008 R2, SharePoint 2010, Exchange 2010 to current versions. I could find SharePoint 2019 system requirements, but not regarding domain controllers.

    Can SharePoint Server 2019 be installed in a 2008 R2 domain? What else would be the minimal domain controller and functional level requirements please?


    Best Regards, Stefan Falk

    Wednesday, February 20, 2019 12:53 PM

Answers

  • Yes. SharePoint only requires a minimum of 2003 native mode. There is no defined maximum functional level for SharePoint 2010 or higher.

    Trevor Seward

    Office Servers and Services MVP



    Author, Deploying SharePoint 2016

    This post is my own opinion and does not necessarily reflect the opinion or view of Microsoft, its employees, or other MVPs.

    • Marked as answer by Stefan Falk Wednesday, February 20, 2019 3:53 PM
    Wednesday, February 20, 2019 3:51 PM
    Moderator

All replies

  • Yes. SharePoint only requires a minimum of 2003 native mode. There is no defined maximum functional level for SharePoint 2010 or higher.

    Trevor Seward

    Office Servers and Services MVP



    Author, Deploying SharePoint 2016

    This post is my own opinion and does not necessarily reflect the opinion or view of Microsoft, its employees, or other MVPs.

    • Marked as answer by Stefan Falk Wednesday, February 20, 2019 3:53 PM
    Wednesday, February 20, 2019 3:51 PM
    Moderator
  • Thanks for the super-fast answer, Trevor!

    Best Regards, Stefan Falk

    Wednesday, February 20, 2019 3:53 PM